%define pythonver 2.2
%define pymainver %{nil}
%define swigver 1.3.17

Summary: Support for using OpenSSL in python scripts.
Name: m2crypto
Version: 0.09
Release: 3
Source0: http://www.post1.com/home/ngps/m2/m2crypto-%{version}.zip
Source1: http://unc.dl.sourceforge.net/sourceforge/swig/swig-%{swigver}.tar.gz
Patch0: m2crypto-0.09-openssl097.patch
Patch1: m2crypto-0.09-norc5.patch
License: BSDish
Group: System Environment/Libraries
URL: http://www.post1.com/home/ngps/m2/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: openssl-devel, python%{pymainver}-devel >= %{pythonver}
BuildPreReq: perl, pkgconfig, unzip
Requires: python%{pymainver}
Obsoletes: openssl-python

%description
This package allows you to call OpenSSL functions from python scripts.

%prep
%setup -q -a 1

# Create a directory to hold the local SWIG binary.
mkdir swigroot

# Distutils currently adds ./SWIG to the include path, but we have ./swig.
ln -s swig SWIG

%patch0 -p1 -b .openssl097
%patch1 -p1 -b .norc5

%build
CFLAGS="$RPM_OPT_FLAGS -DMS_CALLBACK=" ; export CFLAGS
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
	LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

swigroot=`pwd`/swigroot
pushd SWIG-%{swigver}
./configure \
	--prefix=${swigroot} \
	--disable-shared \
	--enable-static \
	--without-guile \
	--without-java \
	--without-ocaml \
	--without-perl5 \
	--without-php4 \
	--without-pike \
	--without-tcl
make
make install
popd

PATH=${swigroot}/bin${PATH:+:${PATH}} ; export PATH
python%{pythonver} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

CFLAGS="$RPM_OPT_FLAGS -DMS_CALLBACK=" ; export CFLAGS
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
	LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

python%{pythonver} setup.py install --root=$RPM_BUILD_ROOT
python%{pythonver} \
	%{_libdir}/python%pythonver/compileall.py \
	-d %{_libdir}/python%pythonver/site-packages \
	$RPM_BUILD_ROOT%{_libdir}/python%pythonver/site-packages

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES LIC* README STORIES demo tests patches
%{_libdir}/python%{pythonver}/site-packages/M2Crypto

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Nalin Dahyabhai <nalin@redhat.com> 0.09-1
- Update to version 0.09
- Build using bundled copy of SWIG
- Pick up additional CFLAGS and LDFLAGS from OpenSSL's pkgconfig data, if
  there is any
- Handle const changes in new OpenSSL
- Remove unnecessary ldconfig calls in post/postun

* Thu Dec 12 2002 Elliot Lee <sopwith@redhat.com> 0.07_snap3-2
- Update to version 0.07_snap3

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-4
- rebuild with Python 2.2

* Wed Apr 24 2002 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-3
- remove a stray -L at link-time which prevented linking with libssl (#59985)

* Thu Aug 23 2001 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-2
- drop patch which isn't needed because we know swig is installed

* Mon Apr  9 2001 Nalin Dahyabhai <nalin@redhat.com> 0.05_snap4-1
- break off from openssl-python
